Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.openexr
Class OpenExrImageWriterSpi

    java.lang.Object
      javax.imageio.spi.IIOServiceProvider
          javax.imageio.spi.ImageReaderWriterSpi
              javax.imageio.spi.ImageWriterSpi
                  de.grogra.openexr.OpenExrImageWriterSpi

All Implemented Interfaces:
  javax.imageio.spi.RegisterableService

    public class OpenExrImageWriterSpi

extends javax.imageio.spi.ImageWriterSpi

Author:
  Reinhard Hemmerling

Field Summary

Fields inherited from class javax.imageio.spi.ImageWriterSpi
`outputTypes, readerSpiNames, STANDARD_OUTPUT_TYPE`

Fields inherited from class javax.imageio.spi.ImageReaderWriterSpi
`extraImageMetadataFormatClassNames, extraImageMetadataFormatNames, extraStreamMetadataFormatClassNames, extraStreamMetadataFormatNames, nativeImageMetadataFormatClassName, nativeImageMetadataFormatName, nativeStreamMetadataFormatClassName, nativeStreamMetadataFormatName, pluginClassName, supportsStandardImageMetadataFormat, supportsStandardStreamMetadataFormat`

Constructor Summary
`OpenExrImageWriterSpi()`

Method Summary
`boolean` | `canEncodeImage(javax.imageio.ImageTypeSpecifier type)`
`javax.imageio.ImageWriter` | `createWriterInstance(java.lang.Object extension)`
`java.lang.String` | `getDescription(java.util.Locale locale)`

Methods inherited from class javax.imageio.spi.ImageWriterSpi
`canEncodeImage, createWriterInstance, getImageReaderSpiNames, getOutputTypes, isFormatLossless, isOwnWriter`

Methods inherited from class javax.imageio.spi.ImageReaderWriterSpi
`getExtraImageMetadataFormatNames, getExtraStreamMetadataFormatNames, getFileSuffixes, getFormatNames, getImageMetadataFormat, getMIMETypes, getNativeImageMetadataFormatName, getNativeStreamMetadataFormatName, getPluginClassName, getStreamMetadataFormat, isStandardImageMetadataFormatSupported, isStandardStreamMetadataFormatSupported`

Methods inherited from class javax.imageio.spi.IIOServiceProvider
`getVendorName, getVersion, onDeregistration, onRegistration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenExrImageWriterSpi

    public OpenExrImageWriterSpi()

Method Detail

### canEncodeImage

    public boolean canEncodeImage(javax.imageio.ImageTypeSpecifier type)

  Specified by:
    `canEncodeImage` in class `javax.imageio.spi.ImageWriterSpi`

### createWriterInstance

    public javax.imageio.ImageWriter createWriterInstance(java.lang.Object extension)
                                                   throws java.io.IOException

  Specified by:
    `createWriterInstance` in class `javax.imageio.spi.ImageWriterSpi`
  Throws:
    `java.io.IOException`

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in class `javax.imageio.spi.IIOServiceProvider`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD